Page MenuHomePhabricator

Unable to install Math extension with MediaWiki-Vagrant on labs
Closed, ResolvedPublic

Description

The math role doesn't seem to install properly on MediaWiki-Vagrant on labs (freshly installed on a Stretch machine).

brion@ogvjs-testing:/srv/mediawiki-vagrant/mediawiki$ vagrant enable-role math
vagrant provisionOk. Run `vagrant provision` to apply your changes.
brion@ogvjs-testing:/srv/mediawiki-vagrant/mediawiki$ vagrant provision
==> default: Running provisioner: lsb_check...
==> default: Running provisioner: file_perms...
==> default: Running provisioner: shell...
    default: Running: /tmp/vagrant-shell20180606-13739-178wndi.sh
==> default: Running provisioner: puppet...
==> default: Running Puppet with environment vagrant...
==> default: Info: Loading facts
==> default: Notice: Compiled catalog for mediawikivagrant.mediawiki-vagrant.dev in environment vagrant in 2.83 seconds
==> default: Info: Applying configuration version '1528319843.d71e4aba'
==> default: Notice: /Stage[main]/Packages::Ghostscript/Package[ghostscript]/ensure: created
==> default: Notice: /Stage[main]/Packages::Ocaml_native_compilers/Package[ocaml-native-compilers]/ensure: created
==> default: Notice: /Stage[main]/Packages::Texlive/Package[texlive]/ensure: created
==> default: Notice: /Stage[main]/Packages::Texlive_bibtex_extra/Package[texlive-bibtex-extra]/ensure: created
==> default: Notice: /Stage[main]/Packages::Texlive_font_utils/Package[texlive-font-utils]/ensure: created
==> default: Notice: /Stage[main]/Packages::Texlive_fonts_extra/Package[texlive-fonts-extra]/ensure: created
==> default: Notice: /Stage[main]/Packages::Texlive_lang_all/Package[texlive-lang-all]/ensure: created
==> default: Notice: /Stage[main]/Packages::Texlive_latex_extra/Package[texlive-latex-extra]/ensure: created
==> default: Notice: /Stage[main]/Packages::Texlive_math_extra/Package[texlive-math-extra]/ensure: created
==> default: Notice: /Stage[main]/Packages::Texlive_pstricks/Package[texlive-pstricks]/ensure: created
==> default: Notice: /Stage[main]/Packages::Texlive_publishers/Package[texlive-publishers]/ensure: created
==> default: Notice: /Stage[main]/Role::Math/Mediawiki::Extension[Math]/Git::Clone[mediawiki/extensions/Math]/File[/vagrant/mediawiki/extensions/Math]/ensure: created
==> default: Notice: /Stage[main]/Role::Math/Mediawiki::Extension[Math]/Git::Clone[mediawiki/extensions/Math]/Exec[git_clone_mediawiki/extensions/Math]/returns: executed successfully
==> default: Notice: /Stage[main]/Role::Math/Mediawiki::Extension[Math]/Mediawiki::Settings[Math]/File[/vagrant/settings.d/puppet-managed/10-Math.php]/ensure: defined content as '{md5}60fa6d32c903bcb6e7ab72e4e862e833'
==> default: Info: Mediawiki::Settings[Math]: Scheduling refresh of Exec[update_all_databases]
==> default: Notice: /Stage[main]/Mediawiki/Exec[update_all_databases]: Triggered 'refresh' from 1 events
==> default: Error: Working directory '/vagrant/mediawiki/extensions/Math/math' does not exist
==> default: Error: /Stage[main]/Role::Math/Exec[compile_texvc]/returns: change from notrun to 0 failed: Working directory '/vagrant/mediawiki/extensions/Math/math' does not exist
==> default: Error: Working directory '/vagrant/mediawiki/extensions/Math/texvccheck' does not exist
==> default: Error: /Stage[main]/Role::Math/Exec[compile_texvccheck]/returns: change from notrun to 0 failed: Working directory '/vagrant/mediawiki/extensions/Math/texvccheck' does not exist
==> default: Info: Class[Role::Math]: Unscheduling all events on Class[Role::Math]
==> default: Info: Stage[main]: Unscheduling all events on Stage[main]
==> default: Notice: Applied catalog in 412.81 seconds
The SSH command responded with a non-zero exit status. Vagrant
assumes that this means the command failed. The output for this command
should be in the log above. Please read the output to determine what
went wrong.

Event Timeline

brion created this task.Jun 6 2018, 9:39 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 6 2018, 9:39 PM
brion added a comment.Jun 6 2018, 9:47 PM

Well this is suspicious in Math:

commit 4156f1c9b7d2430965a661fdfa783143df4c0e98
Author: Moritz Schubotz (physikerwelt) <wiki@physikerwelt.de>
Date:   Sat May 19 20:43:04 2018 +0200

    Remove dead texvc code from the math extension
    
    In T74240 support for LaTeX based rendering of the <math/>-tags was
    removed. This change eliminates the unused code from the repository.
    
    Bug: T195871
    Change-Id: Ic57d83fa49f090b574ce8b82fd2ebc84a5350318

Change 437886 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/vagrant@master] Remove math cruft

https://gerrit.wikimedia.org/r/437886

Change 437886 merged by jenkins-bot:
[mediawiki/vagrant@master] Remove math cruft

https://gerrit.wikimedia.org/r/437886

brion closed this task as Resolved.Jun 7 2018, 1:04 AM
brion claimed this task.

Yay! That was pretty straightforward. Math apparently now defaults to using WMF's public rest service for math rendering, which might not be the best default (?) but that's a topic for another bug and another day! :)

Physikerwelt added a subscriber: Physikerwelt.EditedJun 17 2018, 12:55 PM

...
Math apparently now defaults to using WMF's public rest service for math rendering, which might not be the best default (?)
..

@brion do you have a suggestion, where and how to document how this decision was made?

brion added a comment.EditedJun 20 2018, 6:13 PM

@Physikerwelt I'd start with a note in the readme file. Some things to consider:

  • load management & abuse -- can a misconfigured or malicious client overload or take down the server? what effect will this have on other users?
  • privacy -- is data input here exposed to a math server? can it be read by other people?
  • abuse -- is data input here exposed to other people? how can malicious/abusive spreading of private data or illegal content be cleaned up?
  • privacy -- is only the wiki server exposed to the third-party math server or does the end-user ever connect to it directly, exposing their network address etc?
  • who runs the public server, and how do you contact them if you have problems?
  • how do you set up a private server if the public one doesn't meet your needs?
Vvjjkkii renamed this task from Unable to install Math extension with MediaWiki-Vagrant on labs to hibaaaaaaa.Jul 1 2018, 1:05 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii triaged this task as High priority.
Vvjjkkii removed brion as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot assigned this task to brion.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from hibaaaaaaa to Unable to install Math extension with MediaWiki-Vagrant on labs.
CommunityTechBot added subscribers: gerritbot, Aklapper.